<template>
  <div>

    <h1 class="coolFont">Information:</h1>
    <hr>

    <p>
      Сначала при запуске получаем XHR запрос на сторонний JSON файл на 10.000 объктов, который я сгенерировал скриптом в этом же задании и заблаговременно выложил на сторонний сервис. Данные из файла
      с помощью генератора случайных чисел обрезаются array.slice() в диапазоне от 5.000 до 10.000 помещаются в Dropdown элемент (строка парсится в массив и помещается с помощью v-for).
    </p>

    <p>
      В Dropdown элементе можно выбирать опции которые состоят из "value" и "title" с помощью мыши и клавиш на клавиатуре. В Props, которые прокидываются для элемента Dropdown можно включить и
      выключить параметр "searchable", который используется для автозаполнения. В поля над Dropdown элементом выводятся "value" и "title" выбранного вами пункта.
    </p>

    <p>
      Дополнительно решил сделать, показать генерацию нового фейкового JSON API. Т.к. не было чётких правил, что использовать для заполнения элемента, решил сделать несколькими вариантами. Все с
      random и в диапазоне от 5.000 до 10.000. Диапазон также можно менять двумя инпутами "Min" и "Max". Генерируется новый JSON файл в своём компоненте, выведенном на главную по нажатию на кнопке
      "Generate new fake JSON". А добаляется в Dropdown элемент по нажатию на "Include new API to DropDown element". Напротив этой кнопки есть подсказки. Также использовал Jest для тестирования запуска всех нужных компонентов и нажатия на Dropdown элемент с выбором пункта.
    </p>

  </div>

</template>

<script>
  export default {
    name: 'AppAbout',
    components: {},
    data () {
      return {};
    },
    methods: {}
  };
</script>

<style lang="scss" scoped>

  .coolFont {
    font-weight: 800;
  }

  h1 {
    margin-top: 30px;
  }

</style>
